/* reset */

html {
  box-sizing: border-box;
  font-size: 16px;
  margin-top: 0 !important;
}

*, *:before, *:after {
  box-sizing: inherit;
}

body, h1, h2, h3, h4, h5, h6, p, ol, ul {
  margin: 0;
  padding: 0;
  font-weight: normal;
  font-family: 'Montserrat', sans-serif;
  line-height: 2;
  
}

input[type="color"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="email"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"],
select:focus,
textarea {
  font-size: 16px;
}

ol, ul {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}
a { text-decoration: none; color: black; }

/* css */

body { font-size: 0.9rem; }

h1 { font-size: 3.5rem; display: inline-block; color: white; line-height: 1.25; }
h2 { font-size: 2rem;  font-weight: 500; margin-bottom: 2rem; }
input, .btn { padding: 1rem; background: white; border: 0; border-radius: 3px; display: inline-block; vertical-align: top; line-height: 1.1rem; font-size: 1rem; margin: 0; }
input { -webkit-appearance: none; border-radius: 0; }
.btn {  background: none; color: white; border-radius: 50px; padding: 1rem 2rem; border: 2px solid white; cursor: pointer; }
.btn2 { background: #f3bc45; border-radius: 50px; padding: 0.75rem 1.5rem; cursor: pointer; }
.btn3 { background: #f3bc45; border-radius: 500px; padding: 1.15rem 2.5rem; margin: 1rem 0 0 0; font-weight: 500; cursor: pointer; }
.close-btn { background: url('cross2.png') no-repeat; width: 1rem; height: 1rem; display: block; float: right; background-size: 1rem; cursor: pointer; }


.container { width: 100%; display: block; clear: both; }
.box { max-width: 1280px; margin: 0 auto; padding: 4rem 2rem; }

.w50 { width: 50%; float: left; }
.wide1 { max-width: 1280px !important; }
#burger-btn { display: none; background: url('burger.png') no-repeat center black; border-radius: 50px; height: 2.6rem; width: 2.6rem; position: fixed; right: 2rem; top: 1.55rem; z-index: 2; cursor: pointer; }
.show { background-image: url('cross.png') !important; }

.x3  { 
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
 }

.x3 > li { width: 31%; display: inline-block; }

#float-menu { z-index: 2; position: fixed; background: black; height: 100%; right: 0; opacity: 0.9; padding: 4rem 4rem; display: none; }

#float-menu a { color: white; display: block; font-size: 1rem; line-height: 1.75; }
#float-menu span { color: gray; font-size: 0.8rem; text-transform: uppercase; margin-top: 0.5rem; display: inline-block; }

.social { background-size: 1.5rem !important; background-position: left center !important; padding-left: 2rem; text-decoration: none; }
.vk { background: url('icons/vk.svg') no-repeat; }
.vib { background: url('icons/viber.png') no-repeat; }
.wa { background: url('icons/wa.svg') no-repeat; }
.insta { background: url('icons/ig.svg') no-repeat; }
.tg { background: url('icons/tg.svg') no-repeat; }
.yt { background: url('icons/yt.png') no-repeat; }

#about-us { text-align: center; display: none; }
#about-us span {  display: inline-block;  margin-bottom: 2.5rem;  }
.big-span { max-width: 650px; line-height: 1.5; }


#our-pros { max-width: 820px; margin: auto; }
#our-pros span::before { content: ''; width: 3rem; height: 3rem; background: #f3bc45;  display: inline-block; z-index: -1; position: absolute; margin-left: -1rem;
    /* padding: 10px; */ margin-top: -0.4rem;
    /* margin-left: -1rem; */ padding-right: 1rem; }
#our-pros p { margin-left: -1rem; }

#our-projects { text-align: center; background: whitesmoke; }
#our-projects h2 { margin-bottom: 3rem; }
#projs-selector  { margin-bottom: 3rem; }
#projs-selector a { background: white; border-radius: 50px; padding: 0.75rem 1.5rem; margin: 0 0.5rem; display: inline-block; margin-bottom: 1rem; cursor: pointer; }
#our-projects #projs-main li { text-align: left; margin: 0 1% 1% 1%; background: white !important; padding: 0 1rem  1rem 1rem ;  vertical-align: top; min-height: 250px; }

#our-projects #projs-main a { 
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 230px;
 }

#projs-main li span { padding: 0.5rem 0; min-height: 75px;}
#projs-main span { font-weight: 600; }


#feedback { text-align: center; }
#feedback span {  max-width: 920px; display: block; margin: 0 auto 2rem auto;  }
#feedback a { margin-bottom: 2rem; display: inline-block; }


#vidy-rabot { text-align: center; }
#vidy-rabot ul { text-align: left; }
#vidy-rabot li { padding-right: 3%; vertical-align: top; margin-bottom: 2rem;  padding-top: 5rem; background-size: auto 4rem; }
#vidy-rabot a { font-size: 1.25rem; margin: 0.5rem 0; display: inline-block; font-weight: 600; text-decoration: underline; }

.v-razdel {  text-decoration: none; color: black; text-decoration: underline; }

.btn-selected { background: #f3bc45 !important; }

#container-main { background-color: darkgray; background-size: cover !important; }
#container-main .btn { margin: 0 0.5rem 0.5rem 0; }


#menu { text-align: center; }
#map { padding: 0; background: whitesmoke; max-width: 100%; max-height: 100%; line-height: 0; } 
#map iframe { max-width: 100%; max-height: 700px; }

#cat-pros { text-align: center; background: papayawhip; }
#cat-pros ul li { list-style: none; width: 29%; margin: 1%; display: inline-block; font-size: 1.25rem;  }
#cat-pros span { font-size: 2rem; display: block; line-height: 1.2; }
#cat-pros i { font-style: normal; font-size: 1rem; border: 4px #f3bc45 solid; border-radius: 4px; display: inline-block; padding: 0.5rem 1rem; margin-top: 0.5rem; }

#cat-pros2 { text-align: center; }
#cat-pros2 ul li { list-style: none; width: 29%; margin: 1%; display: inline-block; font-size: 1.1rem;  vertical-align: top; padding-top: 5rem; background-size: 4rem; margin-top: 3rem; } 
#mat { background: url('icons/water.svg') no-repeat top center;  }
#snip { background: url('icons/book.svg') no-repeat top center;}
#rus {background: url('icons/hat.svg') no-repeat top center; }
#dog { background: url('icons/dog.svg') no-repeat top center;}
#whats { background: url('icons/schedule.svg') no-repeat top center;}

#blog { max-width: 850px; margin: auto; }
#blog h2 { text-align: center; margin-bottom: 3rem;}
#blog a {  display: inline-block; border-bottom: 1px solid black; padding-bottom: 0px; margin-bottom: 1.2rem; font-size: 1.05rem; }

#main { text-align: center; padding: 8rem 0 8rem 0; }
#main h1 { margin: auto; display: block; padding: 0 2rem 3rem 2rem; font-weight: 500; line-height: 1.25; }
#main img  { margin-bottom: 4rem; }
#main span { display: block; padding-bottom: 3rem; color: white; }

#top-menu { display: flex; flex-flow: row nowrap; align-items: center; padding: 1.1rem; text-align: right; }
#top-logo { background: url('logo6.png') no-repeat; height: 50px; background-size: contain; margin-top: 0.5rem; width: 185px; image-rendering: -webkit-optimize-contrast; margin-left: 0.9rem; }

#top-nav-menu { flex: 1; justify-content: center; display: flex; gap: 30px; }
#top-nav-menu li:hover a { text-decoration: underline; }
#top-nav-menu ul { display: none; }
#top-nav-menu li { position: relative; }
#top-nav-menu > li:hover > ul { display: block; }
#top-nav-menu ul { position: absolute; top: 100%; left: 0; box-shadow: 1px 2px 3px rgba(0, 0, 0, 0.7); }
#top-nav-menu ul a { background: #ffffff; display: block; padding: 10px 15px; text-align: center; white-space: nowrap; }

#top-phone { margin-right: 1rem; }
#call-back { margin-right: 0.9rem; padding: 0.4rem 1.5rem; }

#menu { padding: 8rem 0 4rem 0; }
#wave2 { width: 100%; height: 8px; background: url('wave.png') repeat-x bottom; margin-bottom: -8px; position: relative; }
#wave3 { width: 100%; height: 8px; background: url('wave.png') repeat-x top; margin-bottom: -8px; position: relative; }
#menu a { font-size: 1.2rem; font-weight: 600; width: 33%; display: inline-block; padding-top: 5.5rem; background-size: 4rem; color: black; margin-bottom: 5rem; vertical-align: top; }

#title a { text-decoration: underline; }

#title { padding: 0.5rem 0; }

#content { max-width: 780px; padding: 2rem 2rem; }
#content p { font-size: 1.15rem; line-height: 1.7; padding-bottom: 3rem; line-height: 1.8; }
#content img { max-width: 100%; margin: auto;  }
#content img > p { margin-bottom: -2rem; }

#contacts { background: lightgray; padding: 2rem; color: white; min-height: 600px; float: right; color: black; } 
#contacts h2 { margin-bottom: 2rem; }
#contacts p { margin-bottom: 2rem; font-weight: 300; }
#contacts span { display: block; }
#contacts strong { display: block; }

#footer li a { display: block; text-decoration: underline; margin-bottom: 0.25rem; }
#footer li { vertical-align: top;  }

#m1 { background: url('icons-menu/photo.png') no-repeat top center;  }
#m2 { background: url('icons-menu/menu.png') no-repeat top center;  }
#m3 { background: url('icons-menu/work.png') no-repeat top center;  }
#m4 { background: url('icons-menu/cake.png') no-repeat top center;  }
#m5 { background: url('icons-menu/ice.png') no-repeat top center;  }
#m6 { background: url('icons-menu/bowl.png') no-repeat top center;  }

#new-phone { cursor: pointer; }

#footer2 .box {  text-align: center; padding-top: 0; }
#footer2 a { margin-right: 1rem; text-decoration: underline; }

#popup-frame { position: fixed;top: 0;background: rgba(0,0,0,.6); width: 100%; height: 100%; display: none; z-index: 2; }
#popup-form { background: #e5e7e7; margin: 4rem auto 0 auto; max-width: 650px; padding: 4rem 2rem; color: black;  }
#popup-form h2 { margin-bottom: 1rem;  }
.popup-input { display: block; font-weight: 500; margin: 0 auto; width: 100%; margin: 1rem 0; border-radius: 500px; background: white; padding: 1.25rem 2rem; }

.single-page img { margin-bottom: 0.5rem !important; }


#single-content ul { margin-bottom: 2rem; }
#single-content ul li { margin-bottom: 0.5rem; }
#single-content ul li::before { content: '✅'; padding-right: 0.5rem; }
#single-content p { margin-bottom: 1.5rem; }

#single-content { max-width: 960px; margin: auto; font-size: 1rem; }
#single-content h1 { color: black; margin-bottom: 4rem; font-weight: 500; font-size: 2.5rem; }
#single-content img { margin-bottom: 1rem; }
#single-content a { text-decoration: underline;  }
#single-content .wp-caption { padding: 1rem; background: whitesmoke; max-width: 80%; margin: 1rem auto; border-radius: 5px; text-align: center; }


#cat-descr { max-width: 850px; margin: auto; text-align: center; }
#cat-descr p { padding-bottom: 2rem; font-size: 1rem; white-space: pre-wrap; text-align: left; }
#cat-descr br { display: none;  }
#cat-descr h2 { text-align: center; }

#feedback .box { max-width: 850px; }

.img-cont { height: 160px; background-size: cover; background-repeat: no-repeat; background-position: center; width: 100%; image-rendering: -webkit-optimize-contrast; }


.main-page { background: url('big-bg/main2.jpg') #575757 no-repeat center !important;  }

.metall { background: url('big-bg/metall.jpg') #575757 no-repeat center !important; }
.betonnye-raboty { background: url('big-bg/beton3.jpg') #575757 no-repeat center !important; }
.inzhenernye-sistemy { background: url('big-bg/isys3.jpg') #575757 no-repeat center !important;  }
.kamennye-raboty { background: url('big-bg/kamen3.jpg') #575757 no-repeat center !important;  }
.krovelnye-raboty { background: url('big-bg/krov3.jpg') #575757 no-repeat center !important;   }
.fasadnye-raboty { background: url('big-bg/fasad3.jpg') #575757 no-repeat center !important;   }

/* Изменения 02.04.2024*/
#projs-main li {
    min-height: 250px;
}

#in-sys { background: url('icons/protractor.svg') no-repeat; }
#metall { background: url('icons/steel.svg') no-repeat; }
#krovlya { background: url('icons/roof.svg') no-repeat; }
#beton { background: url('icons/concrete.svg') no-repeat; }
#kamen { background: url('icons/brick.svg') no-repeat; }
#fasad { background: url('icons/wall.svg') no-repeat; }

#otzyv-content p { white-space: break-spaces; padding-bottom: 2rem; }
#otzyv-content p:last-child { padding-bottom: 0; font-weight: 600; }
#form-error { display: inline-block; margin-top: 1.8rem; margin-left: 1rem; opacity: 0; }
.inactive { opacity: 0.7; }

#otzyvy-page a { display: inline-block; margin-bottom: 0.75rem; font-size: 1.25rem; }


@media screen and (max-width: 992px) {

    .x3 > li { width: 48%; display: inline-block; }

    #projs-main li span { padding: 0.5rem 0; min-height: 103px;  }
}

@media screen and (max-width: 560px) {
	.w50 { width: 100%; }
	.x3 > li { width: 100% !important; }
	.box { padding: 2rem 1rem; }
	#footer { text-align: center; }
	
	#footer2 div * { display: table; margin: auto; opacity: 0.5; }
	#footer2 { margin-top: -1rem; }
	#footer li a { text-align: left; }
	#projs-selector a { padding: 0.5rem 1rem; }
	
	h1 { font-size: 1.85rem; padding: 0 0 3rem 0rem;  }
	#main { padding: 1rem 0; }
	#main h1 { padding: 0 0 3rem 0rem; font-size: 1.85rem; }
	#menu a { width: 40%; }
	input { margin-bottom: 0.5rem; width: 100%; }
	#main .btn { width: 100%; }
	#float-menu { width: 100%; padding: 2rem 4rem; }
	#footer { margin-top: 1px; }
	#top-phone { margin-left: 1rem; }
	#call-back { display: none; }
	
	#single-content h1 { font-size: 1.5rem; margin-bottom: 0; }
	#top-logo { margin-bottom: 0.25rem;  }
	#top-phone { margin-left: 0; margin-bottom: 1rem; margin-right: 5rem; }
	#container-main .box { padding: 2rem 1rem; }
	
}

@media screen and (max-width: 700px) {
	#call-back { display: none; }
	#top-phone { margin-right: 4rem; }
	#cat-pros ul li { width: 100%; }
	#cat-pros2 ul li { width: 100%; }
	#blog a { border: 0 ; text-decoration: underline; font-size: 1rem; }
	#single-content .wp-caption { max-width: inherit; }
}

@media screen and (max-width: 480px) {	
	#top-phone { display: none; }
	#top-logo { margin-right: 2rem; }
}

@media screen and (max-width: 1199px) {
	#top-nav-menu { gap: 10px; }
}

@media screen and (max-width: 980px) {
	#vidy-rabot a { font-size: 1rem; }
	#burger-btn { display: block; }
	#top-nav-menu { display: none; }
	#top-phone { flex: 1; }
	#call-back { margin-right: 4rem; }
}